%define major   1
%define libname %mklibname svg %{major}

Summary:	A generic SVG library
Name:		libsvg
Version:	0.1.4
Release:	%mkrel 6
License:	LGPL
Group:		System/Libraries
URL:		http://cairographics.org/snapshots/
Source:		http://cairographics.org/snapshots/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig >= 0.8
BuildRequires:	libxml2-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A generic SVG library.

%package -n	%{libname}
Summary:	A generic SVG library
Group:		System/Libraries

%description -n	%{libname}
A generic SVG library.

%package -n	%{libname}-devel
Summary:	Libraries and include files for developing with libsvg
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{libname}-devel
This package provides the necessary development libraries and include
files to allow you to develop with libsvg.

%prep
%setup -q

%build
export LIBS="`pkg-config --libs libxml-2.0` `pkg-config --libs libpng` -ljpeg -lz -lm"

%configure2_5x
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/*.so.%{major}*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/*
%{_libdir}/pkgconfig/libsvg.pc




%changelog
* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-6mdv2009.0
+ Revision: 229787
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-4mdv2008.1
+ Revision: 178948
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Feb 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.4-2mdv2007.0
+ Revision: 121269
- rebuild
- spec file clean
- Import libsvg

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.1.4-1mdk
- New release 0.1.4
- use mkrel
- use mkrel

* Wed Mar 09 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- spec fixes
- New release 0.1.3

* Sat Jun 05 2004 Marcel Pol <mpol@mandrake.org> 0.1.2-2mdk
- buildrequires (slbd)

* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 0.1.2-1mdk
- initial mandrake package

